# iOS SDK v6.8.0 Deprecation Note

### Deprecated APIs

**AmityCommentRepository:**

| Methods                                                         | Remarks                                                                           |
| --------------------------------------------------------------- | --------------------------------------------------------------------------------- |
| createComment(options:, completion:)                            | Use async createComment(options:)instead.                                         |
| getLatestComment(referenceId:, referenceType:, includeReplies:) | Use async getLatestComment(referenceId:, referenceType:, includeReplies:)instead. |
| updateComment(commentId:, options:, completion:)                | Use async updateComment(commentId:, options:)instead.                             |
| deleteComment(commentId:, hardDelete:, completion:)             | Use async softDeleteComment(commentId:) or hardDeleteComment(commentId:) instead. |

**AmityCommentFlagger**

Deprecated APIs in `AmityCommentFlagger` class. Use APIs in `AmityCommentRepository` instead.

| Methods                    | Remarks                                                                       |
| -------------------------- | ----------------------------------------------------------------------------- |
| flag(completion:)          | Use async flagComment(commentId:)in AmityCommentRepository instead.           |
| unflag(completion:)        | Use async unflagComment(commentId:) in AmityCommentRepository instead.        |
| isFlaggedByMe(completion:) | Use async isCommentFlaggedByMe(commentId:) in AmityCommentRepository instead. |

**AmityUserFollowManager**

Deprecated APIs in `AmityUserFollowManager` class. Use APIs in `AmityUserRelationship` instead.

| Methods                                   | Remarks                                                                |
| ----------------------------------------- | ---------------------------------------------------------------------- |
| followUser(userId:, completion:)          | Use async followUser(userId:)in AmityUserRelationship instead.         |
| unfollowUser(userId:, completion:)        | Use async unfollowUser(userId:) in AmityUserRelationship instead.      |
| acceptUserRequest(userId:, completion:)   | Use async acceptMyFollower(userId:) in AmityUserRelationship instead.  |
| declineUserRequest(userId: , completion:) | Use async declineMyFollower(userId:) in AmityUserRelationship instead. |
| blockUser(userId:)                        | Use async blockUser(userId:) in AmityUserRelationship instead.         |
| unblockUser(userId:)                      | Use async unblockUser(userId:) in AmityUserRelationship instead.       |
| getMyFollowInfo()                         | Use async getMyFollowInfo() in AmityUserRelationship instead.          |
| getUserFollowInfo(userId:)                | Use async getFollowInfo(userId:) in AmityUserRelationship instead.     |
| getMyFollowerList(option:)                | Use async getMyFollowers(option:) in AmityUserRelationship instead.    |
| getUserFollowerList(userId:)              | Use async getFollowers(userId:)in AmityUserRelationship instead.       |
| getUserFollowingList(userId:)             | Use async getFollowings(userId:) in AmityUserRelationship instead.     |

**AmityChannelParticipation**

Deprecated APIs in `AmityChannelParticipation` class. Use APIs in `AmityChannelMembership` instead.

| Methods                                             | Remarks                                                                                          |
| --------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| addMembers(userIds:, completion:)                   | Use async addMembers(userIds:)in AmityChannelMembership instead.                                 |
| removeMembers(userIds:, completion:)                | Use async removeMembers(userIds:)in AmityChannelMembership instead.                              |
| getMembers(filter:, sortBy:, roles:)                | Use async getMembers(filter:, sortBy:, roles:) in AmityChannelMembership instead.                |
| searchMembers(displayName:, filterBuilder:, roles:) | Use async searchMembers(displayName:, filterBuilder:, roles:) in AmityChannelMembership instead. |

**AmityChannelModeration**

| Methods                                                  | Remarks                                                        |
| -------------------------------------------------------- | -------------------------------------------------------------- |
| muteMembers(userIds:, mutePeriodInSeconds:, completion:) | Use async muteMembers(userIds:, mutePeriodInSeconds:) instead. |
| unmuteMembers(userIds:, completion:)                     | Use async unmuteMembers(userIds:) instead.                     |
| banMembers(userIds:, completion:)                        | Use async banMembers(userIds:) instead.                        |
| unbanMembers(userIds:, completion:)                      | Use async unbanMembers(userIds:) instead.                      |
| addRole(role:, userIds:, completion:)                    | Use async addRoles(role:, userIds:, completion:) instead.      |
| removeRole(role: , userIds: , completion:)               | Use async removeRoles(role:, userIds:, completion:) instead.   |

**AmityMessageEditor**

| Methods                                              | Remarks                                                                                             |
| ---------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| editText(text:, metadata:, mentionees:, completion:) | Use async editMessage(messageId:, text:, metadata:, mentionees:) in AmityMessageRepository instead. |

Deprecated APIs in `AmityMessageFlagger` class. Use APIs in `AmityMessageRepository` instead.

**AmityMessageFlagger**

| Methods                    | Remarks                                                                        |
| -------------------------- | ------------------------------------------------------------------------------ |
| flag(completion:)          | Use async flagMessage(messageId:) in AmityMessageRepository instead.           |
| unflag(completion:)        | Use async unflagMessage(messageId:) in AmityMessageRepository instead.         |
| isFlaggedByMe(completion:) | Use async isMessageFlaggedByMe( messageId:) in AmityMessageRepository instead. |

**AmitySubChannelRepository**

| Methods                                                     | Remarks                                                                                         |
| ----------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| createSubChannel( subChannelName:, channelId:, completion:) | Use async createSubChannel( subChannelName:, channelId:) instead.                               |
| updateSubChannel( subchannelId:, updatedName:, completion:) | Use async updateSubChannel( subchannelId:, updatedName:) instead.                               |
| deleteSubChannel(subChannelId:, hardDelete:, completion:)   | Use async softDeleteSubChannel( subChannelId:) or hardDeleteSubChannel( subChannelId:) instead. |

**AmityClient**

| Property    | Remarks           |
| ----------- | ----------------- |
| currentUser | Use user instead. |

**AmityMessageRepository**

| Methods                                | Remarks                                          |
| -------------------------------------- | ------------------------------------------------ |
| deleteMessage(messageId:, completion:) | Use async softDeleteMessage(messageId:) instead. |

**AmityFeedRepository**

| Methods                          | Remarks                                         |
| -------------------------------- | ----------------------------------------------- |
| getCustomPostRankingGlobalfeed() | Use async getCustomRankingGlobalFeed() instead. |

**AmitySteamRepository**

| Methods                                                                      | Remarks                                                                       |
| ---------------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| createVideoStream(title:, description:, thumbnailImage:, meta:, completion:) | Use async createStream(title:, description:, thumbnailImage:, meta:) instead. |
| getStreamById(streamId:)                                                     | Use async getStream(streamId:) instead.                                       |
| getStreamsCollection(query:)                                                 | Use async getStreams(query:) instead.                                         |

**AmityStreamBroadcaster**

| Property       | Remarks                   |
| -------------- | ------------------------- |
| cameraPosition | Use switchCamera instead. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/developers/migration-guides/ios-sdk-v6.0.0-migration-guide/ios-sdk-v6.8.0-deprecation-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
